.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH 389-console 8 "Aug 25, 2014"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME 
389-console - The 389 Directory Server UI
.SH SYNOPSIS
389-console [-a <URL>] [-A <local URL>] [-D <debug level>] [-f <output file>] [-h]
[-l <Language Code>] [-s <SIE DN>] [-u <username/Bind DN>] [-w <password> | - (prompt for password)] 
[-x <options>] [-y <password file>]         
.SH DESCRIPTION
A Java based remote management console used for Managing the Directory Server and Administration Server.
.SH OPTIONS
A summary of options is included below:
.TP
.B \fB\-a\fR \fIURL\fR
Administration Server base URL.
.TP
.B \fB\-A\fR \fIURL\fR
Local Administration Server URL.
.TP
.B \fB\-D\fR \fIDebug_Level\fR
Debug level: 1 - 9
.TP
.B \fB\-f\fR \fIDebug_Output_File\fR
Specifies the output file for the debug logging.
.TP
.B \fB\-h\fR
.br
Display usage.
.TP
.B \fB\-l\fR \fILanguage code\fR
Language code.
.TP
.B \fB\-s\fR \fIServer DN/Identifier\fR
server DN (cn=...) or instance ID (e.g. slapd-host)
.TP
.B \fB\-u\fR \fIusername/BiNd DN\fR
The user name or bind DN to log into the console.
.TP
.B \fB\-w\fR \fIpassword\fR
Password for the bind DN specified with the -u option.
.TP
.B \fB\-w\fR \fB\\\-\fR
.br
Prompt for the user password.
.TP
.B \fB\-x\fR \fIOption\fR
Extra options (javalaf, nowinpos, nologo)
.TP
.B \fB\-y\fR \fIPassword_File\fR
File containing user password.

.SH EXAMPLE
.TP
389-console -a http://host.domain.com:9830 -u "cn=directory manager" -f ./passwd.txt -l en
.TP
389-console -D 9 -f /tmp/debug-output.txt -x nologo

.SH AUTHOR
389-console was written by the 389 Project.
.SH "REPORTING BUGS"
Report bugs to http://bugzilla.redhat.com.
.SH COPYRIGHT
Copyright \(co 2014 Red Hat, Inc.
